Bug 501433 - Review Request: perl-DateTime-Calendar-Mayan - Mayan Long Count Calendar
Review Request: perl-DateTime-Calendar-Mayan - Mayan Long Count Calendar
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/DateTime-...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-19 01:41 EDT by Chris Weyl
Modified: 2010-07-21 01:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-23 18:48:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-05-19 01:41:26 EDT
Spec URL: http://fedorapeople.org/~cweyl/review/perl-DateTime-Calendar-Mayan.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-DateTime-Calendar-Mayan-0.0601-1.fc10.src.rpm

Description:
An implementation of the Mayan Long Count, Haab, and Tzolkin calendars
as defined in "Calendrical Calculations The Millennium Edition".
Supplemented by "Frequently Asked Questions about Calendars".

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1362528

Additional Comment:

This is a new (optional) testing dependency of Moose 0.79.

*rt-0.10
Comment 1 Parag AN(पराग) 2009-05-19 02:14:06 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1362528
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
b64421ef42d3b2c7852a09887057e54e17c748a9  DateTime-Calendar-Mayan-0.0601.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=10, Tests=124,  3 wallclock secs ( 0.10 usr  0.03 sys +  2.57 cusr  0.19 csys =  2.89 CPU)
+ Package perl-DateTime-Calendar-Mayan-0.0601-1.fc12.noarch =>
Provides: perl(DateTime::Calendar::Mayan) = 0.0601
Requires: perl(DateTime) perl(Params::Validate) perl(constant) perl(strict) perl(vars)
+ Not a GUI application

APPROVED.
Comment 2 Chris Weyl 2009-05-21 03:43:30 EDT
New Package CVS Request
=======================
Package Name: perl-DateTime-Calendar-Mayan
Short Description: Mayan Long Count Calendar
Owners: cweyl
Branches: F-9 F-10 F-11 devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-05-21 19:52:46 EDT
cvs done.
Comment 4 Chris Weyl 2009-05-23 18:48:49 EDT
Thanks for the review! :-)
Comment 5 Mark Chappell 2010-07-20 03:11:34 EDT
Package Change Request
======================
Package Name: perl-DateTime-Calendar-Mayan
New Branches: EL-6
Owners: tremble    

cweyl has previously expressed that he is happy for others to request EPEL
branches
Comment 6 Kevin Fenzi 2010-07-21 01:07:53 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.